routes/web.php
<?php

Route::get('/', 'FrontpageController@index')->name('products');

Route::resource('/cart', 'CartController');
Route::post('/cart/delete-all', 'CartController@deleteAll')->name('cart.delete.all');

Route::get('/order/checkout', 'OrderController@checkout')->name('checkout');
Route::get('/payment/process', 'OrderController@paymentProcess')->name('payment.process');
Route::post('/shippinginfo/store', 'OrderController@shippinginfoStore')->name('shippinginfo.store');
Route::post('/order/store', 'OrderController@store')->name('order.store');

Route::post('payment/stripe', 'OrderController@postPaymentWithStripe')->name('payment.stripe');


Auth::routes();

// SOCIALITE
Route::get('login/github', 'Auth\LoginController@redirectToProvider')->name('github.login');
Route::get('login/github/callback', 'Auth\LoginController@handleProviderCallback');


// ADMIN
Route::prefix('admin')->middleware(['auth', 'admin'])->group(function () {

    Route::get('/', 'AdminController@admin')->name('admin');
    Route::put('/paymentstatusupdate/{orderid}', 'AdminController@paymentStatusUpdate')->name('admin.paymentstatusupdate');
    
    Route::get('/order/notification', 'OrderController@orderNotification')->name('order.notifications');
    Route::get('/order/read/{notificationid}', 'OrderController@readSingleNotification')->name('read.single.notifications');

    Route::resource('category', 'CategoryController');
    Route::resource('product', 'ProductController');
});

// USER
Route::get('/home', 'HomeController@index')->name('home');
Route::get('/home/shipping-info', 'HomeController@shippingInfo')->name('home.shippinginfo');
Route::get('/home/orderdetails/{orderid}', 'HomeController@orderDetails')->name('home.orderdetails');

resources/views/admin/create.blade.php
@extends('../layouts.app')

@section('content')
<div class="container">
    <div class="row justify-content-center">

        <div class="col-md-3">
            <div class="card bg-transparent text-dark rounded-0">
                <div class="card-header text-dark">Admin</div>

                <div class="card-body">
                    <ul class="list-group">
                        <li class="list-group-item bg-transparent rounded-0">
                            <a href="{{ route('admin') }}" class="text-dark font-weight-bold">Dashboard</a>
                        </li>
                        <li class="list-group-item bg-transparent rounded-0">
                            <a href="{{ route('category.index') }}" class="text-dark">Categories</a>
                        </li>
						<li class="list-group-item bg-transparent rounded-0">
                            <a href="{{ route('product.index') }}" class="text-dark">Products</a>
                        </li>
						<li class="list-group-item bg-transparent rounded-0">
                            <a href="" class="text-dark">Settings</a>
                        </li>
                    </ul>
                </div>
            </div>
        </div>

        <div class="col-md-9">
            <div class="card bg-transparent text-dark rounded-0">
                <div class="card-header text-dark">Create Category</div>

                <div class="card-body">
                    <form class="" action="{{ route('category.store') }}" method="post">
                        @csrf
                        <div class="row">
                            <div class="col-md-12">
                                <label>Category Name <span class="text-danger">*</span></label>
                                <input type="text" class="form-control rounded-0" name="name" required="">
                                @if ($errors->has('name'))
                                    <div class="invalid-feedback d-block">
                                        {{ $errors->first('name') }}
                                    </div>
                                @endif
                            </div>
                        </div>
                        <button class="btn btn-primary mt-3 rounded-0" type="submit">Create Category</button>
                    </form>
                </div>

            </div>
        </div>

    </div>
</div>
@endsection

resources/views/admin/edit.blade.php
@extends('../layouts.app')

@section('content')
<div class="container">
    <div class="row justify-content-center">

        <div class="col-md-3">
            <div class="card bg-transparent text-dark rounded-0">
                <div class="card-header text-dark">Admin</div>

                <div class="card-body">
                    <ul class="list-group">
                        <li class="list-group-item bg-transparent rounded-0">
                            <a href="{{ route('admin') }}" class="text-dark font-weight-bold">Dashboard</a>
                        </li>
                        <li class="list-group-item bg-transparent rounded-0">
                            <a href="{{ route('category.index') }}" class="text-dark">Categories</a>
                        </li>
						<li class="list-group-item bg-transparent rounded-0">
                            <a href="{{ route('product.index') }}" class="text-dark">Products</a>
                        </li>
						<li class="list-group-item bg-transparent rounded-0">
                            <a href="" class="text-dark">Settings</a>
                        </li>
                    </ul>
                </div>
            </div>
        </div>

        <div class="col-md-9">
            <div class="card bg-transparent text-dark rounded-0">
                <div class="card-header text-dark">Edit Category</div>

                <div class="card-body">
                    <form class="" action="{{ route('category.update',$category->id) }}" method="post">
                        @csrf
                        @method('PUT')
                        <div class="row">
                            <div class="col-md-12">
                                <label>Category name <span class="text-danger">*</span></label>
                                <input type="text" class="form-control rounded-0" name="name" value="{{ $category->name }}" required="">
                                @if ($errors->has('name'))
                                    <div class="invalid-feedback d-block">
                                        {{ $errors->first('name') }}
                                    </div>
                                @endif
                            </div>
                        </div>
                        <button class="btn btn-primary mt-3 rounded-0" type="submit">Update Category</button>
                    </form>
                </div>

            </div>
        </div>

    </div>
</div>
@endsection

resources/views/admin/index.blade.php
@extends('../layouts.app')

@section('content')
<div class="container">
    <div class="row justify-content-center">

        <div class="col-md-3">
            <div class="card bg-transparent text-dark rounded-0">
                <div class="card-header text-dark">Admin</div>

                <div class="card-body">
                    <ul class="list-group">
                        <li class="list-group-item bg-transparent rounded-0">
                            <a href="{{ route('admin') }}" class="text-dark font-weight-bold">Dashboard</a>
                        </li>
                        <li class="list-group-item bg-transparent rounded-0">
                            <a href="{{ route('category.index') }}" class="text-dark">Categories</a>
                        </li>
						<li class="list-group-item bg-transparent rounded-0">
                            <a href="{{ route('product.index') }}" class="text-dark">Products</a>
                        </li>
						<li class="list-group-item bg-transparent rounded-0">
                            <a href="" class="text-dark">Settings</a>
                        </li>
                    </ul>
                </div>
            </div>
        </div>

        <div class="col-md-9">
            <div class="card bg-transparent text-dark rounded-0">
                <div class="card-header text-dark">
                    Categories
                    <a href="{{ route('category.create') }}" class="btn btn-sm btn-success float-right rounded-0">Add New</a>
                </div>

                <div class="card-body">
                    <div class="table-responsive">
                        <table class="table table-bordered">
                            <thead>
                                <tr>
                                    <th>ID</th>
                                    <th>Name</th>
                                    <th>Slug</th>
                                    <th>Action</th>
                                </tr>
                            </thead>
                            <tbody>
                                @foreach($categories as $category)
                                    <tr>
                                        <td>{{ $category->id }}</td>
                                        <td>{{ $category->name }}</td>
                                        <td>{{ $category->slug }}</td>
                                        <td>
                                            <a href="{{ route('category.edit',$category->id) }}" class="btn btn-sm btn-primary rounded-0">Edit</a>
                                        </td>
                                    </tr>
                                @endforeach
                            </tbody>
                        </table>
                    </div>
                </div>

            </div>
        </div>

    </div>
</div>
@endsection